<?
ViewResponse::getInstance()->setMethodAjax();

$o_ObjectBean = new PromedioPrestamoBean();
$tamanioPag = 10;


$o_ObjectBean->page = $page;
$o_ObjectBean->tamPag = $tamanioPag;
$o_ObjectBean->sortCampos = $sortCampos;
$o_ObjectBean->sortType   = $sortType;


if(myUser::getUser()->getIdPadre() == "1"){
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	 	
  	$IdPadre = $o_ColaboradorBeanResult[0]->getIdPadre();
  	
}else{//Solo los Hijos del Colaborador
  	$IdPadre = myUser::getUser()->getIdColaborador();
}

//Sacar el nombre de la sucursal
$o_SucursalBean = new SucursalBean();
$o_SucursalBean->setIdAdministrador($IdPadre);


$o_SucursalBL = new SucursalBL();
$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
if(is_array($a_o_sucursal)){
	foreach ($a_o_sucursal as $key => $o_sucursal){
		$IdSucursal 	= $o_sucursal->getIdSucursal();
		$NombreSucursal = $o_sucursal->getDescripcion();
		$FechaIniCiclico = $o_sucursal->getFechaSaldoIni();
	}
}

$o_ObjectBean->setIdSucursal($IdSucursal); 
if($cboColaborador   !="")	{ $o_ObjectBean->setIdRepresentante($cboColaborador); }
if($txtFechaInicial   !="")	{ $o_ObjectBean->setFecha($txtFechaInicial); }
if($txtFechaFinal   !="")	{ $o_ObjectBean->setFechaFinal($txtFechaFinal); }
$o_PromedioPrestamo = new PromedioPrestamoDP($o_ObjectBean);
$a_ObjectBean = $o_PromedioPrestamo->select();


$pdf = new TCPDF('P', PDF_UNIT, PDF_PAGE_FORMAT, true); 
$pdf->AliasNbPages();

define("POS_IZQ", 5);

$pdf->AddPage();

/*iniciop titulo*/
$pdf->SetFont('times','B',13);
$pdf->SetX(POS_IZQ);
$pdf->SetFillColor(201,202,204);
$pdf->Cell(199,4,'Promedio de Prestamos',0,0,'L',1);
/*fin titulo*/

/*inicio de cabecera*/
$pdf->SetFont('times','B',7);
$pdf->SetXY(POS_IZQ,20);
$pdf->SetFillColor(236,235,236);
$pdf->Cell(6,4,'',0,0,'L',1);
$pdf->Cell(20,4,'Sucursal',0,0,'L',1);
//$pdf->Cell(15,4,'Fecha',0,0,'L',1);
$pdf->Cell(50,4,'Representante',0,0,'L',1);
$pdf->Cell(15,4,'P.Capital',0,0,'R',1);
$pdf->Cell(15,4,'P.Monto',0,0,'R',1);
$pdf->Cell(15,4,'Cap.Efec.',0,0,'R',1);
$pdf->Cell(15,4,'P.% Interés.',0,0,'R',1);
$pdf->Cell(15,4,'P.# Prest.',0,0,'R',1);
$pdf->Cell(15,4,'P.S.V.',0,1,'R',1);



/*fin de cabecera*/

$pos    = 25;
$count  = 0;
$x      = 0;
$pdf->SetFillColor(254,254,254);
$pdf->SetFont('times','',6);
$i = 1;
if(count($a_ObjectBean)>0){
  foreach ($a_ObjectBean as $iKey => $o_objBean){
  	$pdf->SetX(POS_IZQ);
 	$pdf->Cell(6,4,$i,0,0,'L',1);
 	$pdf->Cell(20,4,$o_objBean->getNombreSucursal(),0,0,'L',1);
 	//$pdf->Cell(15,4,$o_objBean->getFecha(),0,0,'L',1);
 	$pdf->Cell(50,4,$o_objBean->getNombreRepresentante(),0,0,'L',1);
 	$pdf->Cell(15,4,number_format($o_objBean->getCapital(),2),0,0,'R',1);
    $s_Capital += round($o_objBean->getCapital(),2);
    $pdf->Cell(15,4,number_format($o_objBean->getMontoTotal(),2),0,0,'R',1); 
    $s_MontoTotal += round($o_objBean->getMontoTotal(),2); 
    $pdf->Cell(15,4,number_format($o_objBean->getPrestamosNuevos(),2),0,0,'R',1);  
    $s_Saldo += round($o_objBean->getPrestamosNuevos(),2);
	$pdf->Cell(15,4,number_format($o_objBean->getInteres(),2),0,0,'R',1); 
	$s_Interes += round($o_objBean->getInteres(),2);
	$pdf->Cell(15,4,number_format($o_objBean->getNumeroPrestamo(),2),0,0,'R',1); 
	$s_NumeroPrestamo += round($o_objBean->getNumeroPrestamo(),2);
	$pdf->Cell(15,4,number_format($o_objBean->getSaldoPrestamos(),2),0,1,'R',1); 
	$s_SV += round($o_objBean->getSaldoPrestamos(),2);
	
	
	
	$i++;
  }
  $pdf->Cell(71,4," Ponderado de Promedios",0,0,'R',1);			
  $pdf->Cell(15,4,number_format($s_Capital/count($a_ObjectBean),2),0,0,'R',1);			
  $pdf->Cell(15,4,number_format($s_MontoTotal/count($a_ObjectBean),2),0,0,'R',1);			
  $pdf->Cell(15,4,number_format($s_Saldo/count($a_ObjectBean),2),0,0,'R',1);			
  $pdf->Cell(15,4,number_format($s_Interes/count($a_ObjectBean),2),0,0,'R',1);			
  $pdf->Cell(15,4,number_format($s_NumeroPrestamo/count($a_ObjectBean),2),0,0,'R',1);			
  $pdf->Cell(15,4,number_format($s_SV/count($a_ObjectBean),2),0,1,'R',1);			
  		
  }else{ 
 	$pdf->SetXY(POS_IZQ,$pos);
  	$pdf->Cell(200,4,"No hay registros.",0,0,'L',1); 	
  } 

$pdf->Output();

?>